Skip to content
Pile
Esc
navigateopen⌘Jpreview

Create capture

POST/workspaces/{organizationId}/capture
Path parameters
organizationIdstringrequired
Request body
application/json
urlstring<uri>required
titlestring
min length 1
selectionstring
sourcestring
teamIdstring
teamKeystring
projectIdstring
labelIdsstring[]
pageTextstring
includeFullTextboolean
summarizeboolean
screenshotobject
Show properties
contentBase64stringrequired
min length 1
contentTypestring
matches ^image\/(png|jpeg|webp)$ · default: "image/png"
Responses
201Captured issue created
idstringrequired
organizationIdstringrequired
teamIdstringrequired
titlestringrequired
descriptionstring | nullrequired
statusstringrequired
Allowed:triagebacklogtodoin_progressdonecanceled
prioritystringrequired
Allowed:lowmediumhighurgent
resolutionstring | nullrequired
Allowed:duplicatenot_plannedintended_behaviornot_reproducibleobsoleteresolvednull
parentIdstring | nullrequired
subIssueSortOrdernumber | nullrequired
estimatenumber | nullrequired
isDraftbooleanrequired
snoozedUntilstring | nullrequired
assigneeIdstring | nullrequired
projectIdstring | nullrequired
cycleIdstring | nullrequired
labelIdsstring | nullrequired
numbernumber | nullrequired
identifierstring | nullrequired
repostring | nullrequired
branchstring | nullrequired
prUrlstring | nullrequired
prStatestring | nullrequired
prCheckStatestring | nullrequired
createdAtstringrequired
updatedAtstringrequired
Try it
Server
Parameters
Bodyapplication/json
Request
curl -X POST "/workspaces/string/capture" \
  -H "Content-Type: application/json" \
  -d '{
  "url": "http://example.com",
  "title": "string",
  "selection": "string",
  "source": "string",
  "teamId": "string",
  "teamKey": "string",
  "projectId": "string",
  "labelIds": [
    "string"
  ],
  "pageText": "string",
  "includeFullText": true,
  "summarize": true,
  "screenshot": {
    "contentBase64": "string",
    "contentType": "image/png"
  }
}'
Response
{
  "id": "string",
  "organizationId": "string",
  "teamId": "string",
  "title": "string",
  "description": "string",
  "status": "triage",
  "priority": "low",
  "resolution": "duplicate",
  "parentId": "string",
  "subIssueSortOrder": 0,
  "estimate": 0,
  "isDraft": true,
  "snoozedUntil": "string",
  "assigneeId": "string",
  "projectId": "string",
  "cycleId": "string",
  "labelIds": "string",
  "number": 0,
  "identifier": "string",
  "repo": "string",
  "branch": "string",
  "prUrl": "string",
  "prState": "string",
  "prCheckState": "string",
  "createdAt": "string",
  "updatedAt": "string"
}